Getting Started with Active Keys

If you do not like reading long manuals and are already familiar with the Internet, this is probably the only chapter you need to read in order to get started.

Starting Active Keys

Normally, Active Keys starts automatically once it is installed on your computer. You can see the program running in the taskbar notification area (the lower right corner of the screen where you usually see the clock); it appears as a hand-over-the-keyboard icon. If for some reason the program is not running, you can start it manually.

To start Active Keys manually: Click Start button, then point at Programs; then point at Active Keys and select Active Keys.

Active Keys consists of two parts - the executable part that actually carries out the shortcut commands and of the configuration program that appears in a separate window when you double-click on the program's icon in the taskbar notification area.

Opening Active Keys settings window

To bring Active Keys settings window up, simply double-click on the program's icon in the taskbar notification area or right-click on the icon and then select Customize Keyboard Shortcuts...

The Active Keys window that appears lists all custom shortcuts currently defined in the program. To view a shortcut, double-click on it or select it and then press ENTER. For details on creating and managing custom shortcuts, please refer to Working with Active Keys.

To shut down Active Keys, right-click on the program's icon in the taskbar notification area and then select Exit.

Now that you have got some hands-on experience with the program, follow your intuition and start playing with it or - read the next chapter on working with the program.


Benefits of Active Keys

Modern computer systems offer great number of breathtaking features that bring computing experience to the new edge. These days become entertainment and information centers for our homes and offices. The only major drawback of this miraculous integration, however - each and every new piece of computer functionality involves all kinds of menus, icons and buttons to access the software features.

It is fairly easy to control one program's behavior, but what if there are five, ten or twenty of them? Controlling them rather a memory quiz than a comfortable living. Don't you start missing your favorite TV remote control? Wouldn't it be great to use one control to manipulate your entire PC?

The Active Keys software will turn your ordinary keyboard into a full-blown control for your entire system. That's right! No more miles of mouse moves and injured wrists, no more hassle and interface havocs! Just total control of your entire Windows system using any keyboard at hand!

Active Keys is a powerful yet easy-to-use tool for creating and managing keyboard shortcuts for any system action. Active Keys allows creating custom "hotkey" definitions for functions that are hardly accessible otherwise; those are CD Audio and WinAmp actions, sound volume, windows resizing, opening Internet addresses, folders, documents, sending e-mails, starting applications and much more:

Just imagine being able to control Windows Media Player, screen resolution and color depth, start screen saver, insert current time and date or custom text with just one key press! Throw in the intuitive interface and just a bit of memory and system resource usage, and you will realize - this title is worth a try!

Managing monitor power Control monitor power with a single hit of a key; turn monitor power on or off, set a different screen resolution and color features, start screensaver, etc.

Working with Internet Access your favorite web sites and send the same e-mail message multiple times or to multiple recipients -all with a single keystroke.

Controlling multimedia While watching a movie or listening to your favorite CD album, fast forward, pause, rewind, turn volume up/down or do much more with a favorite keyboard shortcut. No more need to run the mouse around the screen trying to find well-hidden multimedia controls.

Managing computer system Access your Active Keys and Control Panel items, shot-down or restart your computer, log off users, and much more - with your favorite keyboard shortcut.

Working with text With Active Keys, you can define and then quickly paste your most frequently used texts, current date and time. You can even set the appearance of the texts to be pasted.

Manipulating windows Controlling document windows and program windows with keyboard appears to be more convenient than doing the same with the mouse. Simply hit your favorite keystroke to maximize, restore, minimize, move or resize current window. You can also make a window topmost, dock window to an edge or a corner, tile or cascade windows - without a single mouse click.

Running shell commands Start a program or open a document, print a document (including web sites!) or open / explore a folder. With Active Keys, the most frequently used shell commands can be run by a single keystroke.


System requirements

In order to run Active Keys properly, your computer system should have at least:

  • Windows 98/ME/2000/XP.
  • 16 or 32-bit color support.
    • If your computer runs one of these operating systems, it is likely good enough to run Active Keys.


Obtaining the latest version of Active Keys

To download the latest version of Active Keys:

  1. Open the URL: http://www.softarium.com/download/
  2. On the product download page:
    1. Right-click on the Active-Keys-x.xx.exe link.
    2. On the menu that appears, select Save Target As...
  3. In the Save as: window that appears:
    1. Browse to the folder the file is to be saved in.
    2. Type or select from the drop-down menu file name to save the file as.
    3. Click Save to complete.


Installing & Uninstalling Active Keys

To install Active Keys:

  1. Open Windows Explorer.
  2. Browse to the folder where you saved the Active Keys setup file.
  3. Double-click on the file Active-Keys.exe and follow the setup wizard's instructions.

Uninstalling Active Keys

Active Keys can be removed via the Control Panel:

  • In the My Computer window, open the Control Panel, and then select Add / Remove Programs.
  • On the list of software, select Active Keys, and then click Change / Remove.
  • When automatic uninstall is complete, browse to the program's folder with Windows Explorer and delete the program's folder or its contents manually.
Each user of the computer has their individual settings and the data file (Shortcuts.aks) that stores user's shortcuts. The shortcuts file is stored in the user's Documents and Settings folder; full path to the file is:
C:\Documents and Settings\<your_user_name>\Application Data\Softarium.com\Active Keys\Shortcuts.aks
Users' settings and shortcuts are not removed during de-installation of the program but can be removed manually (e.g. through Windows Explorer) or kept until later use.

Note: You must have the Administrator's access privileges to install or remove the program.


License Agreement

Active Keys: the License

- All copyrights to Active Keys are exclusively owned by Softarium.com.

- Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use Active Keys, you must purchase it.

- After purchasing, the user is granted a non-exclusive license to use Active Keys on one computer, for any legal purpose, at a time. The purchased Active Keys software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

- The Active Keys trial version may be freely distributed, provided the distribution package is not modified.

- Active Keys is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. The author will not be liable for data loss, damages, loss of profits, or any other kind of loss while using or misusing this software.

- You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

All rights not expressly granted here are reserved by Softarium.com.

- Installing and using Active Keys signifies acceptance of these terms and conditions of the license.

- If you do not agree with the terms of this license you must remove Active Keys files from your storage devices and cease to use the product.


Purchasing and Registering Your Copy of Active Keys

The program is distributed on the shareware basis, i.e. you may download and try it before purchasing. If you liked the program, you may purchase a license and register the program to use it with no further limitations.

You can purchase your copy of Active Keys at a cost of $19.95.

For current pricing and ordering info please visit ordering page on our website.

Online order form:

Click here to place an order with BMT Micro Inc., one of the most respected software registration and order-taking services:

Active Keys order form

The ordering page is on the BMTMicro.com secure server, ensuring that your confidential information remains confidential.

How to order:

The quickest and most convenient way to order our software is online via credit card; Visa, MasterCard, Eurocard, American Express, Discover and JCB are accepted. The ordering page is on a secure server, ensuring that your confidential information remains confidential.

Credit Card Order by Phone.

Call 800-414-4268 (USA & Canada) or 1-910-792-9100.

Active Keys product ID is 96800.

Note: these phone numbers are for orders only.

For Fax, Postal Mail (check, money order or credit card), PayPal, Deutsche Bank, Switch/Solo orders.

Visit this order form.

Note: the checks need to be made out to "BMT Micro Inc.".

Purchase Order.

Visit purchase order page for details.

On payment approval, we'll send you the registration key which will remove all limitations of trial version. For online orders you will receive the key in no more than 24 hours.

Important: when filling the order form, please double-check that your e-mail address is correct.

On payment approval, we'll send you the registration key which will remove all limitations of trial version. For online orders you will receive the key in no more than 24 hours.

To register Active Keys:

  1. Open the e-mail message that you have received from our support team and copy the registration key to clipboard.
  2. Double-click on the Active Keys icon in the taskbar notification area to open the settings window.
  3. On the Help menu, select Enter registration key...
  4. In the registration window that appears, click to the corresponding text area then enter registration name and paste the registration key from clipboard.
  5. Click OK to complete.


Creating New Shortcuts

Creating new shortcuts is carried out via the Keyboard Shortcut Wizard. To get started: on the File menu select the New shortcut item or click the New shortcut button on the toolbar. You can also right-click over the program white space, and then, on the shortcut menu that appears, select New shortcut or simply press the Ctrl+N combination on the keyboard. This will open the wizard window that will guide you through the rest of the process.

The first page of the wizard displays the Action tree, which lists the groups of actions that you can call and the objects you can control with the shortcuts. Each action can include several commands.

To continue, in the wizard window, click on the plus sign [+] by the group of actions you want to call. Then, on the action list that appears, select the action to be called by the new shortcut and then click Next.

On the Settings page that appears, specify the command-specific settings.

Then, on the Keys page, select the shortcut keys to use for this action and then click Next.

To select a shortcut key: select the modifiers and the key by selecting a key on the list at the right - OR - simply press the desired combination of keys. The combination status below will inform you of whether the combination you have selected is available, not recommended or being used.

The ALREADY IN USE status means the selected shortcut is already in use by this or other application(s) and cannot be used with this action; you must select a different combination. For example, the WIN+M combination cannot be used since Windows uses this shortcut for the Minimize All Windows action.

The NOT RECOMMENDED status means the selected shortcut is available and can be used with this action but it isn't recommended since it can cause problems. For example, selecting the SHIFT+Q key will make you unable to type the capital Q letter without pressing the CAPS LOCK key.

Clicking Back will return you one step back; clicking Cancel will cancel the action and return you back to the program.

Next, on the Name and Icon page, enter the shortcut name and select its icon. The program has already assigned the default name and icon, which you can change if you want.

To enter the new shortcut name, click on the corresponding text box and enter the desired name. To restore the default name for the selected shortcut, click the Default name button by this text box.

To change the shortcut icon, click on the Change icon... button. Then, in the Change Icon dialog that appears, select the icon to be assigned to the shortcut and click OK.

If you do not see an icon you like on the collection, you can use your own icon or collection of icons. To open your own icon or collection of icons, in the Change Icon dialog, click the Select icon file option, then click the Browse... button, locate the icon file, and then click OK to complete.

To restore the default icon for the selected shortcut, click the Default icon button next to the Change icon... button.

Now click Finish to complete or Cancel to return to the program. Clicking Back will return you one step back.


Editing Shortcut Properties

To edit a shortcut's properties:
  1. On the shortcut list, right-click the shortcut to be edited, then on the menu that appears select Properties. Otherwise, you can select the shortcut to be edited and click the Properties button on the toolbar or simply press ENTER.
  2. In the Properties window that appears, change the shortcut settings as desired.
General Tab:
  • Name - keyboard shortcut name, any text to describe this shortcut. To change this description, click on the text box and modify the name as required. To restore the default name, click the Default Name button by the text box.
    Tip! To rename a shortcut, you can simply right-click that shortcut on the list, then on the menu that appears select Rename shortcut, type in the new name, and then press ENTER. To cancel renaming a shortcut, simply press ESC.
  • Active - indicates whether this shortcut is active. Click on the checkbox to toggle this setting.
  • Change icon... - click to change the shortcut icon. In the Change Icon dialog that appears, select the icon to be assigned to the shortcut and click OK.

    If you do not see an icon you like on the collection, you can use your own icon or collection of icons. To open your own icon or collection of icons, in the Change Icon dialog, click the Select icon file option, then click the Browse... button, locate the icon file, and then click OK to complete.

    To restore the default icon for the selected shortcut, click the Default Icon button next to the Change icon... button.

Keys Tab:
  • Shortcut key - indicates selected key combination for the selected shortcut. To select a shortcut key, click on the corresponding text box and enter the shortcut key - OR - select the modifiers and the key by selecting a key on the list at the right - OR - simply press the desired combination of keys. For more information on the status, click the More Info link.
Settings Tab:

Displays the shortcut settings. These settings are individual to all the commands.


Enabling and Disabling Shortcuts

You can turn certain shortcuts on or off at any time if you don't want to use them or if they bother you. To enable or disable a shortcut:
  • On the shortcut list, select or deselect the checkbox by the shortcut to be enabled or disabled.

- OR -

  • In the shortcut's Properties window, select or deselect the Active option. To open the Properties window, right-click on the shortcut to be edited and then select Properties on the menu that appears.


Deleting Shortcuts

To delete a shortcut:
  1. On the shortcut list, right-click on the shortcut to be deleted and then select Delete on the menu that appears. You can also select the shortcut to be deleted and click the Delete button on the toolbar or simply press DELETE.
  2. On the Confirm dialog, select Yes to continue or select No to cancel deleting the shortcut.
WARNING! Once a shortcut is deleted, it's permanently gone, and you need to create it again should you ever need it in the future. So think twice before deleting your shortcuts.


Customizing Active Keys

Users can customize Active Keys by displaying or hiding certain toolbar items, selecting different backgrounds, display mode, etc.

To display or hide a toolbar:

  • Click on the View menu, then point at the Toolbar item, and then select or deselect the toolbar to be shown or hidden.
To turn background on or off:
  • On the View menu, select or deselect the Background item. You can also right-click over the program's whitespace, then on the menu that appears select or deselect the Background item.
To select a different background image:
  1. On the View menu, select the Select background image... item.
  2. In the Browse Background Image dialog that appears, browse to the folder where your background image is located, select the image file and click Open.

    Note: You can also right-click over the program's whitespace, then on the menu that appears select the Select Background Image... item, then in the Browse Background Image dialog that appears, browse to the folder where your background image is located, select the image file and click Open.

To turn status bar on or off:
  • On the View menu, select or deselect the Status bar item.
To select a different shortcut display mode:
  • On the View menu, select the desired display mode (Large icons, Small icons, List or Details). You can also right-click over the program's whitespace, then on the menu that appears point at View, and then select the desired display mode.
Displaying the program's icon in the taskbar notification area
  • To place the program's icon to the taskbar notification area: On the View menu, select or deselect the Place Icon in the Taskbar item.
Note: If the program's icon is removed from the taskbar notification area, the settings program - should it ever be needed - will have to be started either through the Start menu or through an Active Keys Control shortcut, which can be set in the program. Active Keys Control shortcut is only available in the full version. For more information on registering your copy, please refer to the corresponding section of this manual.


Updating Active Keys Online

Updates keep the program fresh and reliable, they provide the program with new features that add value to your copy of the program. To keep your program up to date, perform the update on a regular basis.

To check availability of a newer version of Active Keys, visit our download page at http://www.softarium.com/download/.

Would you like to be notified by e-mail of updates? Then sign up for the Active Keys newsletter:

  1. Open http://www.softarium.com/newsletter/
  2. Enter your email address in the form on that page, and then click the Submit button.
All e-mail addresses submitted are kept confidential: they will never be distributed to any other individuals or companies. The newsletter contains only the notification of availability of a new version and does not carry any commercials whatsoever. You can unsubscribe from this newsletter at any time by following the instructions provided in the newsletter.

To update your copy of Active Keys, simply follow the link provided in the update newsletter, download the new setup file and then launch it by double-clicking on the file's icon. For more information on installing / uninstalling Active Keys, please refer to the Installing / Uninstalling Active Keys section of this manual.

Do not uninstall the previous version of the program to upgrade it with a newer one - simply run the new setup over the old version. If you uninstall the previous version, your registration information and appearance settings stored in the older program will be gone, and you will have to re-enter and reset those again.

Note: To install or remove the program, you must have the Administrator's access privileges.


Customer support & services

Since not all e-mail messages reach their recipients - some get lost, others get deleted by imperfect anti-spam systems, etc. - support via e-mail appears to be unreliable, and we recommend our valued customers to rather use our online support area available at our web site at: http://www.softarium.com/contactus/

Nevertheless, if you want to contact us via e-mail, you are welcome to do that; please address your correspondence to: info@softarium.com

Notes:

  • Before requesting technical support, please make sure that you are using the latest version of Active Keys, which is available at: http://www.softarium.com/download/
  • When requesting technical support, please provide us with as much details on your system as possible - including the version of the operating system you are using, any service packs that are installed, etc.
Lost Registration Key

If for any reason your registration code becomes invalid or gets lost, just e-mail to our support staff at info@softarium.com with your previous registration details. You will receive a new code via e-mail at no charge as soon as we have validated your previous registration data. You also can request your registration key at http://www.softarium.com/contactus/